# mongoc_auto_encryption_opts_set_bypass_query_analysis()

## Synopsis

    void
    mongoc_auto_encryption_opts_set_bypass_query_analysis (
       mongoc_auto_encryption_opts_t *opts, bool bypass_query_analysis);

Important

This API is part of the experimental Queryable Encryption API and may be subject to breaking changes in future releases.

New in version 1.22.0.

## Parameters

- `opts`: The mongoc_auto_encryption_opts_t

- `bypass_query_analysis`: A boolean.

`bypass_query_analysis` disables automatic analysis of outgoing commands. `bypass_query_analysis` is useful for encrypting indexed fields without the `crypt_shared` library or `mongocryptd` process. Set `bypass_query_analysis` to true to use explicit encryption on indexed fields.

See also

mongoc_client_enable_auto_encryption()
The guide for Using Client-Side Field Level Encryption